@import 'app/scss/index.scss';

html,
body {
  -webkit-font-smoothing: antialiased;
  height: 100%;
  background-color: #212121;
  display: flex;
  flex-direction: column;
  margin: 0;
  font-family: 'Open Sans', 'Helvetica Neue', sans-serif;
  &.mat-app-background {
    background-color: #212121;
  }
}

.headline {
  font-size: 32px;
  font-family: 'Luckiest Guy';
}

.page-container {
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  flex: 1;
}

.avatar {
  width: 40px;
  min-width: 40px;
  height: 40px;
  line-height: 40px;
  margin: 0 8px 0 0;
  border-radius: 50%;
  font-size: 17px;
  font-weight: 600;
  text-align: center;
}

.logo {
  padding: 16px;
  height: 200px;
  width: 200px;
}

.text-center {
  text-align: center;
}

.mat-button,
.mat-raised-button,
.mat-flat-button,
.mat-stroked-button {
  text-transform: uppercase;
}

/* Hide HTML5 Up and Down arrows. */
input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type='number'] {
  -moz-appearance: textfield;
}

/* Hide HTML5 Up and Down arrows. */
input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type='number'] {
  -moz-appearance: textfield;
}
